""" Package providing support for element based optical modeling

    The :mod:`~.elem` subpackage provides classes and functions
    for element based models and rendering. These include:

        - Element based model, :mod:`~.elements`
        - Geometric constituents including :mod:`~.profiles` and
          :mod:`~.surface`
        - Lens layout and rendering support :mod:`~.layout`
        - Coordinate transformation support :mod:`~.transform`

    The element model is managed by the :class:`~elements.ElementModel` class
"""
